Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.extension
Class JifFieldDeclDel

    java.lang.Object
      polyglot.ext.jl.ast.Ext_c
          polyglot.ext.jl.ast.JL_c
              jif.extension.JifJL_c
                  jif.extension.JifFieldDeclDel

All Implemented Interfaces:
  java.lang.Cloneable, polyglot.ast.Ext, polyglot.ast.JL, polyglot.ast.NodeOps, polyglot.util.Copy

    public class JifFieldDeclDel

extends JifJL_c

The Jif extension of the `FieldDecl` node.

See Also:
  `FieldDecl`

Field Summary

Fields inherited from class polyglot.ext.jl.ast.Ext_c
`ext, node`

Constructor Summary
`JifFieldDeclDel()`

Method Summary
`polyglot.ast.Node` | `buildTypes(polyglot.visit.TypeBuilder tb)`
`polyglot.ast.Node` | `disambiguate(polyglot.visit.AmbiguityRemover ar)`
`polyglot.ast.Node` | `typeCheck(polyglot.visit.TypeChecker tc)`

Methods inherited from class jif.extension.JifJL_c
`translate`

Methods inherited from class polyglot.ext.jl.ast.JL_c
`addDecls, buildTypesEnter, checkConstants, disambiguateEnter, disambiguateOverride, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, jl, prettyPrint, prettyPrint, prettyPrint, throwTypes, typeCheckEnter, typeCheckOverride, visitChildren`

Methods inherited from class polyglot.ext.jl.ast.Ext_c
`copy, dump, ext, ext, init, node, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface polyglot.ast.JL
`init, node`

Methods inherited from interface polyglot.util.Copy
`copy`

Constructor Detail

### JifFieldDeclDel

    public JifFieldDeclDel()

Method Detail

### buildTypes

    public polyglot.ast.Node buildTypes(polyglot.visit.TypeBuilder tb)
                                 throws polyglot.types.SemanticException

  Specified by:
    `buildTypes` in interface `polyglot.ast.NodeOps`
  Overrides:
    `buildTypes` in class `JifJL_c`
  Throws:
    `polyglot.types.SemanticException`

### disambiguate

    public polyglot.ast.Node disambiguate(polyglot.visit.AmbiguityRemover ar)
                                   throws polyglot.types.SemanticException

  Specified by:
    `disambiguate` in interface `polyglot.ast.NodeOps`
  Overrides:
    `disambiguate` in class `polyglot.ext.jl.ast.JL_c`
  Throws:
    `polyglot.types.SemanticException`

### typeCheck

    public polyglot.ast.Node typeCheck(polyglot.visit.TypeChecker tc)
                                throws polyglot.types.SemanticException

  Specified by:
    `typeCheck` in interface `polyglot.ast.NodeOps`
  Overrides:
    `typeCheck` in class `polyglot.ext.jl.ast.JL_c`
  Throws:
    `polyglot.types.SemanticException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD